PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
RAMC_MPC_Type Struct Reference

## Description

MPC Memory Protection Controller registers (RAMC_MPC)

## Data Fields
__IOM uint32_t | CFG
__IM uint32_t | RESERVED [63]
__IOM uint32_t | CTRL
__IM uint32_t | BLK_MAX
__IM uint32_t | BLK_CFG
__IOM uint32_t | BLK_IDX
__IOM uint32_t | BLK_LUT
__IM uint32_t | RESERVED1 [59]
__IOM uint32_t | ROT_CTRL
__IM uint32_t | RESERVED2
__IM uint32_t | ROT_BLK_MAX
__IM uint32_t | ROT_BLK_CFG
__IOM uint32_t | ROT_BLK_IDX
__IOM uint32_t | ROT_BLK_PC
__IOM uint32_t | ROT_BLK_LUT
__IM uint32_t | RESERVED3 [889]

## Field Documentation

## ◆ CFG

__IOM uint32_t RAMC_MPC_Type::CFG

0x00000000 Config register with error response, RegionID PPC_MPC_MAIN is the security owner PC. The error response configuration is located in CFG.RESPONSE, only one such configuration exists applying to all protection contexts in the system.

## ◆ RESERVED

__IM uint32_t RAMC_MPC_Type::RESERVED[63]

## ◆ CTRL

__IOM uint32_t RAMC_MPC_Type::CTRL

0x00000100 Control register with lock bit and auto-increment only (Separate CTRL for each PC depends on access_pc)

## ◆ BLK_MAX

__IM uint32_t RAMC_MPC_Type::BLK_MAX

0x00000104 Max value of block-based index register

## ◆ BLK_CFG

__IM uint32_t RAMC_MPC_Type::BLK_CFG

0x00000108 Block size & initialization in progress

## ◆ BLK_IDX

__IOM uint32_t RAMC_MPC_Type::BLK_IDX

0x0000010C Index of 32-block group accessed through BLK_LUT (Separate IDX for each PC depending on access_pc)

## ◆ BLK_LUT

__IOM uint32_t RAMC_MPC_Type::BLK_LUT

0x00000110 NS status for 32 blocks at BLK_IDX with PC=<access_pc>

## ◆ RESERVED1

__IM uint32_t RAMC_MPC_Type::RESERVED1[59]

## ◆ ROT_CTRL

__IOM uint32_t RAMC_MPC_Type::ROT_CTRL

0x00000200 Control register with lock bit and auto-increment only

## ◆ RESERVED2

__IM uint32_t RAMC_MPC_Type::RESERVED2

## ◆ ROT_BLK_MAX

__IM uint32_t RAMC_MPC_Type::ROT_BLK_MAX

0x00000208 Max value of block-based index register for ROT

## ◆ ROT_BLK_CFG

__IM uint32_t RAMC_MPC_Type::ROT_BLK_CFG

0x0000020C Same as BLK_CFG

## ◆ ROT_BLK_IDX

__IOM uint32_t RAMC_MPC_Type::ROT_BLK_IDX

0x00000210 Index of 8-block group accessed through ROT_BLK_LUT_*

## ◆ ROT_BLK_PC

__IOM uint32_t RAMC_MPC_Type::ROT_BLK_PC

0x00000214 Protection context of 8-block group accesses through ROT_BLK_LUT

## ◆ ROT_BLK_LUT

__IOM uint32_t RAMC_MPC_Type::ROT_BLK_LUT

0x00000218 (R,W,NS) bits for 8 blocks at ROT_BLK_IDX for PC=ROT_BKL_PC

## ◆ RESERVED3

__IM uint32_t RAMC_MPC_Type::RESERVED3[889]